const state = {
    grupo_de_compra: null,
};

const mutations = {
    setGrupoDeCompra(state, { grupo_de_compra }) {
        state.grupo_de_compra = grupo_de_compra;
    }
};

const actions = {
    async getGrupoDeCompra({ commit }) {
        const response = await axios.get('/user/grupo_de_compra');
        commit('setGrupoDeCompra', response.data);
    },
};


const getters = {
    pedidosAprobados() {
        return state.grupo_de_compra.pedidos.filter(p => p.aprobado);
    }
};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters,
};
